@if (@Auth::check())
    @if(!Helper::GeneralSiteSettings("site_status"))
        <div class="text-center bg-warning">
            <div class="row m-b-0">
                <div class="h6">
                    {{__('backend.websiteClosedForVisitors')}}
                </div>
            </div>
        </div>
    @endif
@endif
<!-- Header Section Start -->
<div class="header-section">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-6 col-md-12">
                <div class="header-widget">
                    <ul>
                        @if(Helper::GeneralSiteSettings("contact_t6") !="")
                        <li>
                            <a href="mailto:{{ Helper::GeneralSiteSettings("contact_t6") }}"><i class="icofont-envelope-open"></i>
                                {{ Helper::GeneralSiteSettings("contact_t6") }}</a>
                        </li>
                        @endif
                        @if(Helper::GeneralSiteSettings("contact_t3") !="")
                        <li>
                            <a href="tel:{{ Helper::GeneralSiteSettings("contact_t5") }}">
                                <i class="icofont-phone"></i>
                                {{ Helper::GeneralSiteSettings("contact_t5") }}
                            </a>
                        </li>
                        @endif
                    </ul>
                </div>
            </div>
            <div class="col-md-3">
                <div class="header-social text-end">
                    @if(count(Helper::languagesList()) >1)
                        <ul class="text-white">
                             @foreach(Helper::languagesList() as $ActiveLanguage)
                            <li>
                                <a href="{{ URL::to('lang/'.$ActiveLanguage->code) }}" class="dropdown-item">
                                @if($ActiveLanguage->icon !="")
                                    <img
                                    src="{{ asset('assets/dashboard/images/flags/'.$ActiveLanguage->icon.".svg") }}"
                                    alt="" style="width:15px;" class="ml-10">
                                    @endif
                                    {{ $ActiveLanguage->title }}
                                </a>
                            </li>
                            @endforeach
                        </ul>
                    @endif
                </div>
            </div>
            <div class="col-md-3">
                <div class="header-social text-end">
                    <ul>
                        <li>
                            <a href="https://www.facebook.com/" target="_blank"><i class="icofont-facebook"></i></a>
                        </li>
                        <li>
                            <a href="https://www.twitter.com/" target="_blank"><i class="icofont-twitter"></i></a>
                        </li>
                        <li>
                            <a href="https://www.linkedin.com/" target="_blank"><i class="icofont-linkedin"></i></a>
                        </li>
                        <li>
                            <a href="https://www.instagram.com/" target="_blank"><i class="icofont-instagram"></i></a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Header Section End -->

<!-- Navbar Section Start -->
<div class="navbar-area">
    <!-- Menu For Mobile Device -->
    <div class="mobile-nav">
        <a href="/" class="logo">
            @if(Helper::GeneralSiteSettings("style_logo_" . @Helper::currentLanguage()->code) !="")
                <img alt="" class="main-logo"
                src="{{ URL::to('uploads/settings/'.Helper::GeneralSiteSettings("style_logo_" . @Helper::currentLanguage()->code)) }}">
                @else
                <img alt="" class="main-logo" src="{{ URL::to('uploads/settings/nologo.png') }}">
            @endif
        </a>
    </div>

    <!-- Menu For Desktop Device -->
    <div class="main-nav">
        <div class="container">
            <nav class="navbar navbar-expand-md navbar-light">
                <a class="navbar-brand" href="/">
                     @if(Helper::GeneralSiteSettings("style_logo_" . @Helper::currentLanguage()->code) !="")
                        <img alt="" class="main-logo"
                        src="{{ URL::to('uploads/settings/'.Helper::GeneralSiteSettings("style_logo_" . @Helper::currentLanguage()->code)) }}">
                        @else
                        <img alt="" class="main-logo" src="{{ URL::to('uploads/settings/nologo.png') }}">
                    @endif
                </a>
                @include('frontEnd.includes.a-menu')
            </nav>
        </div>
    </div>
</div>
<!-- Navbar Section End -->
